# Svelte Intl Phone Code Selector

*_**Read this in other languages:**_*

[_简体中文_](./README.zh_CN.md)

International phone code selector web component that can search, auto-binding flag icon.

Css reference from: [vue-tel-input/sprite.css at master · iamstevendao/vue-tel-input (github.com)](https://github.com/iamstevendao/vue-tel-input/blob/master/src/assets/sprite.css)https://github.com/jackocnr/intl-tel-input/blob/master/build/css/intlTelInput.css)

Country data from: [vue-tel-input/all-countries.js at master · iamstevendao/vue-tel-input (github.com)](https://github.com/iamstevendao/vue-tel-input/blob/master/src/assets/all-countries.js)

![demo](/Users/lin/Documents/GitHub/svelte-intl-tel-number/demo.gif)

### 

## Demo:

https://tmx.freesty1e.cn/storybook-intl-number/

## 

## Features

- Filter by number code and country name
- Append to the body to avoid other elements covering the popup
- CSS in JS, no need to import any CSS file
- Web component, use in any framework or vanilla JS

## Usage

```html
<html>
  <head>
    <script type="text/javascript" src="./dist/index.js"></script>
  </head>
  <body>
    <intl-select flag_only="true" id="intl_select"></intl-select>
  </body>
  <script type="text/javascript">
    document.querySelector("intl-select").$on("select", (event) => {
      const data = event.detail;
      console.log(data); // {name: 'Andorra', code: 'ad', value: '376'}
    });
  </script>
</html>

```

## Properties

| Name               | Description                                          | Default                       |
| ------------------ | ---------------------------------------------------- | ----------------------------- |
| **placeholder**    | string                                               | Please select your country... |
| **flag_only**      | boolean                                              | false                         |
| **cross**          | boolean                                              | true                          |
| **append_to_body** | Set the selection popup is if append to body element | true                          |

## Events

| Name   | Description                   |
| ------ | ----------------------------- |
| select | Trigger on value selected     |
| clear  | Trigger on click clear button |

