# Intl Phone Code Selector

*_**Read this in other languages:**_*

[_English_](README.md)

国际手机号码区号选择器

样式参考: [vue-tel-input/sprite.css at master · iamstevendao/vue-tel-input (github.com)](https://github.com/iamstevendao/vue-tel-input/blob/master/src/assets/sprite.css)https://github.com/jackocnr/intl-tel-input/blob/master/build/css/intlTelInput.css)

国家数据参考: [vue-tel-input/all-countries.js at master · iamstevendao/vue-tel-input (github.com)](https://github.com/iamstevendao/vue-tel-input/blob/master/src/assets/all-countries.js)

![demo](/Users/lin/Documents/GitHub/svelte-intl-tel-number/demo.gif)

### 

## Demo:

https://tmx.freesty1e.cn/storybook-intl-number/

## 

## 功能

- 根据区号和国家名称筛选
- 默认将popup附加在body，以防被其他元素遮挡
- 无需引入任何CSS文件
- 跨框架，支持原生JS的Web Component

## 使用

```html
<html>
  <head>
    <script type="text/javascript" src="./dist/index.js"></script>
  </head>
  <body>
    <intl-select flag_only="true" id="intl_select"></intl-select>
  </body>
  <script type="text/javascript">
    document.querySelector("intl-select").$on("select", (event) => {
      const data = event.detail;
      console.log(data); // {name: 'Andorra', code: 'ad', value: '376'}
    });
  </script>
</html>

```

## Properties

| Name               | Description                                          | Default                       |
| ------------------ | ---------------------------------------------------- | ----------------------------- |
| **placeholder**    | string                                               | Please select your country... |
| **flag_only**      | boolean                                              | false                         |
| **cross**          | boolean                                              | true                          |
| **append_to_body** | Set the selection popup is if append to body element | true                          |

## Events

| Name   | Description                   |
| ------ | ----------------------------- |
| select | Trigger on value selected     |
| clear  | Trigger on click clear button |

